Skip to content
POST
/user/secrets/update
curl --request POST \
--url https://example.com/user/secrets/update \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example", "store_id": "example", "secret_id": "example", "value": "example" }'

Update an existing secret

Media type application/json
UpdateSecretRequest
object
tenant_id
required
Tenant Id
string
store_id
Any of:
string
secret_id
required
Secret Id
string
value
required
Value
string
Example generated
{
"tenant_id": "example",
"store_id": "example",
"secret_id": "example",
"value": "example"
}

Successful Response

Media type application/json
UpdateSecretResponse
object
Example generated
{}

{"detail": "Invalid API Key"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}